import connexion
from messages.MessageHandler import MessageHandler

# init message handler
def message_received_callback(channel, method, properties, body):
    print(f"### NICE: {body}")
    channel.basic_ack(delivery_tag=method.delivery_tag)

# load swagger config 
app = connexion.App(__name__, specification_dir='configs/')
app.add_api('swagger.yml')

@app.route('/', methods=['GET'])
def api_root():
    return 'Endpoint of trace-retrieval-microservice!'

# start app
if __name__ == '__main__':
    message_handler = MessageHandler()
    message_handler.start(message_received_callback)

    app.run(host='0.0.0.0', port=5000, debug=True, use_reloader=False) # disable reloader so only subscribed once to rabbitmq
